Bug 1359950 - openstack-tripleo-ui
Summary: openstack-tripleo-ui
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: hguemar
QA Contact: hguemar
URL:
Whiteboard:
Depends On:
Blocks: RDO-NEWTON 1361360
TreeView+ depends on / blocked
 
Reported: 2016-07-25 23:02 UTC by Honza Pokorny
Modified: 2016-08-25 14:20 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-25 14:20:04 UTC
karlthered: rdo-review+


Attachments (Terms of Use)

Comment 1 Honza Pokorny 2016-07-28 12:48:00 UTC
Source tarball created with:

https://review.openstack.org/#/c/343834/

Comment 2 Haïkel Guémar 2016-08-19 19:16:59 UTC
I reviewed both openstack-tripleo-ui and openstack-tripleo-ui-deps.
The latter being a bunch of build-time dependencies that we temporarily bundle,
as it's not practical to package them separately for now. As they're not required
at run-time, they should not be shipped.

We reviewed licensing for all dependencies, and clarified all the litigious ones (esp. react.js) with Legal team.
The other ones are licensed under acceptable licenses. See following discussion on the list:
https://www.redhat.com/archives/rdo-list/2016-July/msg00076.html

Package builds and runs fine, and has been reviewed upstream:
https://review.openstack.org/#/c/344932

So I hereby approve this package into RDO, see formal review below.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 231 files have unknown license.
     Detailed output of licensecheck in /home/hguemar/tripleo-ui/packaging
     /openstack-tripleo-ui/review-openstack-tripleo-ui/licensecheck.txt
[-]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/httpd, /etc/httpd/conf.d,
     /var/www
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[ x: Package uses nothing in %doc for runtime.
[ x: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[-]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: openstack-tripleo-ui-0.0.1-0.1.38664a1git.el7.noarch.rpm
          openstack-tripleo-ui-0.0.1-0.1.38664a1git.el7.src.rpm
openstack-tripleo-ui.noarch: E: no-description-tag
openstack-tripleo-ui.src: E: no-description-tag
2 packages and 0 specfiles checked; 2 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
openstack-tripleo-ui (rpmlib, GLIBC filtered):
    config(openstack-tripleo-ui)



Provides
--------
openstack-tripleo-ui:
    config(openstack-tripleo-ui)
    openstack-tripleo-ui



Source checksums
----------------
http://tarballs.openstack.org/tripleo-ui/tripleo-ui-38664a1.tar.gz :
  CHECKSUM(SHA256) this package     : a6c2b194c2601f62bac0a916cfc6c3cff6877d5913684fbf790dc9154e2567fc
  CHECKSUM(SHA256) upstream package : a6c2b194c2601f62bac0a916cfc6c3cff6877d5913684fbf790dc9154e2567fc


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -p -n openstack-tripleo-ui -D DISTTAG=el7
Buildroot used: fedora-24-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, EPEL5, BATCH, EPEL6

Comment 3 Ivan Chavero 2016-08-22 18:14:51 UTC
I got this error while running fedora-review:

WARNING: Cannot download url: http://tarballs.openstack.org/tripleo-ui/tripleo-ui-0.0.1.tgz
INFO: No upstream for (Source0): tripleo-ui-0.0.1.tgz

also got this warning while building the RPM:

    bogus date in %changelog: Thu Jul 25 2016 Honza Pokorny <honza@redhat.com> 0.0.1

Comment 4 Haïkel Guémar 2016-08-25 14:20:04 UTC
@Ivan: I used the sources from the OpenStack patchset.
As for the sources tarball issue, upstream has not yet tagged a version, so they ship git snapshots.
http://tarballs.openstack.org/tripleo-ui/


Note You need to log in before you can comment on or make changes to this bug.